FTXUI 6.1.9 C++ functional terminal UI.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ConstStringRef Class Reference

An adapter. Own or reference a constant string. For convenience, this class convert multiple immutable string toward a shared representation. More...

`#include <ref.hpp>`

Inheritance diagram for ConstStringRef:
[legend]

## Public Member Functions
| ConstStringRef (const std::wstring *ref)
| ConstStringRef (const std::wstring ref)
| ConstStringRef (const wchar_t *ref)
| ConstStringRef (const char *ref)
const std::string & | operator() () const
const std::string & | operator* () const
const std::string * | operator-> () const

## Detailed Description

An adapter. Own or reference a constant string. For convenience, this class convert multiple immutable string toward a shared representation.

Definition at line 94 of file ref.hpp.

## Constructor & Destructor Documentation

## ◆ ConstStringRef() [1/4]

ConstStringRef | ( | const std::wstring * | ref | ) |
| inline

Definition at line 98 of file ref.hpp.

## ◆ ConstStringRef() [2/4]

ConstStringRef | ( | const std::wstring | ref | ) |
| inline

Definition at line 100 of file ref.hpp.

## ◆ ConstStringRef() [3/4]

ConstStringRef | ( | const wchar_t * | ref | ) |
| inline

Definition at line 102 of file ref.hpp.

## ◆ ConstStringRef() [4/4]

ConstStringRef | ( | const char * | ref | ) |
| inline

Definition at line 104 of file ref.hpp.

## Member Function Documentation

## ◆ operator()()

const std::string & operator() | ( |  | ) | const
| inline inherited

Definition at line 31 of file ref.hpp.

## ◆ operator*()

const std::string & operator* | ( |  | ) | const
| inline inherited

Definition at line 32 of file ref.hpp.

## ◆ operator->()

const std::string * operator-> | ( |  | ) | const
| inline inherited

Definition at line 33 of file ref.hpp.

The documentation for this class was generated from the following file:

- ref.hpp